server:
  port: 8080

eureka:
  instance:
    prefer-ip-address: true #是否优先使用IP地址作为主机名的标识，默认false
    instance-id: ${spring.cloud.client.ip-address}:${spring.application.name}:${server.port} #注册到eureka上的唯一实例ID
    lease-renewal-interval-in-seconds: 10 #表示eureka client发送心跳给server端的频率，默认30
    lease-expiration-duration-in-seconds: 30 #表示eureka server至上一次收到client的心跳之后，等待下一次心跳的超时时间，在这个时间内若没收到下一次心跳，则将移除该instance，默认90
  client:
    registry-fetch-interval-seconds: 5  #定时从Eureka Server拉取服务注册信息的间隔时间
    serviceUrl:
      defaultZone: http://preeureka-internal.piaoquantv.com/eureka/

spring:
  redis:
    hostName: r-bp1pi8wyv6lzvgjy5z.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
  tair:
    hostName: r-bp1pi8wyv6lzvgjy5z.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0

apollo:
  meta: http://preapolloconfig-internal.piaoquantv.com

aliyun:
  log:
    endpoint: cn-hangzhou-intranet.log.aliyuncs.com
    accessKeyId: LTAIP6x1l3DXfSxm
    accessKeySecret: KbTaM9ars4OX3PMS6Xm7rtxGr1FLon
    project: recommend-feature